exceptions.h File Reference

C++ exception semantics for CUDA error codes. More...

`#include <cuda_runtime.h>`
`#include <iosfwd>`
`#include <stdexcept>`
`#include "cutlass/platform/platform.h"`
Include dependency graph for exceptions.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | cutlass::cuda_exception
| C++ exception wrapper for CUDA `cudaError_t`. More...

## Namespaces

| cutlass

## Functions

std::ostream & | cutlass::operator<< (std::ostream &out, cudaError_t result)
| Writes a cudaError_t to an output stream. More...
std::ostream & | cutlass::operator<< (std::ostream &out, cuda_exception const &e)
| Writes a cuda_exception instance to an output stream. More...